> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful-staging.ferndocs.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful-staging.ferndocs.com/developers/docs/_mcp/server.

# List all templates

GET https://api.contentful.com/spaces/{spaceId}/environments/{environmentId}/templates

Reference: https://contentful-staging.ferndocs.com/developers/docs/references/experiences-management-api/templates/list-templates

## Authentication

- `Authorization` header (bearer token, required) — Contentful Management API token

## Request

### Path parameters

- `spaceId` (string, required)
- `environmentId` (string, required)

### Query parameters

- `access_token` (string, optional)
- `order` (any, optional)
- `pageNext` (string, optional)
- `pagePrev` (string, optional)
- `limit` (double, optional)
- `sys.id` (string, optional)
- `sys.id[in]` (any, optional)
- `sys.id[nin]` (any, optional)
- `sys.createdBy.sys.id` (string, optional)
- `sys.createdBy.sys.id[in]` (any, optional)
- `sys.createdBy.sys.id[nin]` (any, optional)
- `sys.updatedBy.sys.id` (string, optional)
- `sys.updatedBy.sys.id[in]` (any, optional)
- `sys.updatedBy.sys.id[nin]` (any, optional)
- `sys.publishedBy.sys.id` (string, optional)
- `sys.publishedBy.sys.id[in]` (any, optional)
- `sys.publishedBy.sys.id[nin]` (any, optional)
- `sys.createdAt[gt]` (any, optional)
- `sys.createdAt[gte]` (any, optional)
- `sys.createdAt[lt]` (any, optional)
- `sys.createdAt[lte]` (any, optional)
- `sys.updatedAt[gt]` (any, optional)
- `sys.updatedAt[gte]` (any, optional)
- `sys.updatedAt[lt]` (any, optional)
- `sys.updatedAt[lte]` (any, optional)
- `sys.publishedAt[gt]` (any, optional)
- `sys.publishedAt[gte]` (any, optional)
- `sys.publishedAt[lt]` (any, optional)
- `sys.publishedAt[lte]` (any, optional)
- `sys.firstPublishedAt[gt]` (any, optional)
- `sys.firstPublishedAt[gte]` (any, optional)
- `sys.firstPublishedAt[lt]` (any, optional)
- `sys.firstPublishedAt[lte]` (any, optional)
- `sys.version` (double, optional)
- `sys.publishedVersion` (double, optional)
- `sys.archivedAt[exists]` (boolean, optional)
- `metadata.tags.sys.id[in]` (string, optional)
- `metadata.tags.sys.id[all]` (string, optional)
- `metadata.tags.sys.id[nin]` (string, optional)
- `metadata.concepts.sys.id[in]` (string, optional)
- `metadata.concepts.sys.id[all]` (string, optional)
- `metadata.concepts.sys.id[nin]` (string, optional)
- `metadata.concepts.descendants[in]` (any, optional)
- `name[match]` (string, optional)
- `name` (string, optional)

## Response

### 200

200

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaSys, required)
- `limit` (double, required)
- `items` (list of SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItems, required)
- `pages` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaPages, required)
- `total` (double, optional)

## Errors

### 400 Bad Request Error

400

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaI18NContext, optional)

### 401 Unauthorized Error

401

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaI18NContext, optional)

### 403 Forbidden Error

403

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaI18NContext, optional)

### 404 Not Found Error

404

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaI18NContext, optional)

### 409 Conflict Error

409

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaI18NContext, optional)

### 422 Unprocessable Entity Error

422

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaI18NContext, optional)

### 500 Internal Server Error

500

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaI18NContext, optional)

## Types

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaSys

- `id` (string, required)
- `type` ("Error", required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItems

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsSys, required)
- `name` (string, required)
- `description` (string, required)
- `viewports` (list of SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsViewportsItems, required)
- `contentProperties` (list of SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItems, required)
- `designProperties` (list of SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItems, required)
- `dimensionKeyMap` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsDimensionKeyMap, required)
- `componentTree` (list of delete__spaces__spaceId__environments__environmentId__component_types__id__published_10_200___schema2, optional)
- `slots` (list of SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsSlotsItems, optional)
- `metadata` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsMetadata, optional)
- `dataAssemblies` (list of SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsDataAssembliesItems, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaPages

- `next` (string, optional)
- `prev` (string, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaI18NContext

- `code` (string, required)
- `pluralCount` (double, optional)
- `parameters` (map from string to SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaI18NContextParameters, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsSys

- `id` (string, required)
- `type` ("Template", required)
- `space` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsSysSpace, required)
- `environment` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsSysEnvironment, required)
- `version` (double, required)
- `createdAt` (string, required)
- `createdBy` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsSysCreatedBy, required)
- `updatedAt` (string, required)
- `updatedBy` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsSysUpdatedBy, required)
- `fieldStatus` (map from string to map from string to enum, optional)
  - Allowed values: `draft`, `published`, `changed`
- `publishedAt` (string, optional)
- `publishedVersion` (double, optional)
- `publishedCounter` (double, optional)
- `firstPublishedAt` (string, optional)
- `publishedBy` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsSysPublishedBy, optional)
- `variant` (string, optional)
- `variantType` (string, optional)
- `variantDimension` (string, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsViewportsItems

- `id` (string, required)
- `query` (string, required)
- `displayName` (string, required)
- `previewSize` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItems

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItems

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsDimensionKeyMap

- `designProperties` (map from string to map from string to string, required)

### delete__spaces__spaceId__environments__environmentId__component_types__id__published_10_200___schema2

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsSlotsItems

- `id` (string, required)
- `name` (string, required)
- `required` (boolean, required)
- `validations` (list of SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsSlotsItemsValidationsItems, required)
- `allowedResources` (list of SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsSlotsItemsAllowedResourcesItems, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsMetadata

- `tags` (list of SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsMetadataTagsItems, optional)
- `concepts` (list of SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsMetadataConceptsItems, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsDataAssembliesItems

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsDataAssembliesItemsSys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaI18NContextParameters

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsSysSpace

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsSysSpaceSys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsSysEnvironment

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsSysEnvironmentSys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsSysCreatedBy

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsSysCreatedBySys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsSysUpdatedBy

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsSysUpdatedBySys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsSysPublishedBy

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsSysPublishedBySys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItems0

- `name` (string, required)
- `required` (boolean, required)
- `type` (enum, required)
  - Allowed values: `String`, `Number`, `Integer`, `Boolean`
- `id` (string, required)
- `defaultValue` (any, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItems1

- `name` (string, required)
- `required` (boolean, required)
- `type` ("RichText", required)
- `id` (string, required)
- `defaultValue` (any, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItems2

- `name` (string, required)
- `required` (boolean, required)
- `type` ("Array", required)
- `items` (any, required)
- `id` (string, required)
- `defaultValue` (any, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItems3

- `name` (string, required)
- `required` (boolean, required)
- `type` ("Record", required)
- `fields` (map from string to get__spaces__spaceId__environments__environmentId__templates_11_200___schema1, required)
- `id` (string, required)
- `defaultValue` (any, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItems4

- `name` (string, required)
- `required` (boolean, required)
- `type` ("TypeRef", required)
- `ref` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItemsOneOf4Ref, required)
- `id` (string, required)
- `defaultValue` (any, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItems5

- `name` (string, required)
- `required` (boolean, required)
- `type` ("Literal", required)
- `value` (any, required)
- `valueType` (get__spaces__spaceId__environments__environmentId__templates_11_200___schema1, required)
- `id` (string, required)
- `defaultValue` (any, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItems6

- `name` (string, required)
- `required` (boolean, required)
- `type` ("DiscriminatedUnion", required)
- `discriminator` (string, required)
- `members` (list of get__spaces__spaceId__environments__environmentId__templates_11_200___schema1, required)
- `id` (string, required)
- `defaultValue` (any, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItems0

- `id` (string, required)
- `name` (string, required)
- `type` ("String", required)
- `description` (string, optional)
- `fallbackValue` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItemsOneOf0FallbackValue, optional)
- `validations` (list of SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItemsOneOf0ValidationsItems, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItems1

- `id` (string, required)
- `name` (string, required)
- `type` ("Boolean", required)
- `description` (string, optional)
- `fallbackValue` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItemsOneOf1FallbackValue, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItems2

- `id` (string, required)
- `name` (string, required)
- `type` (enum, required)
  - Allowed values: `DTCG.Color`, `DTCG.Dimension`, `DTCG.FontFamily`, `DTCG.FontWeight`, `DTCG.Duration`, `DTCG.CubicBezier`, `DTCG.Number`, `DTCG.StrokeStyle`, `DTCG.Border`, `DTCG.Transition`, `DTCG.Shadow`, `DTCG.Gradient`, `DTCG.Typography`
- `description` (string, optional)
- `fallbackValue` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItemsOneOf2FallbackValue, optional)
- `allowedResources` (list of SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItemsOneOf2AllowedResourcesItems, optional)

### DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema20

- `id` (string, required)
- `nodeType` ("Component", required)
- `componentType` (DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema2OneOf0ComponentType, required)
- `contentProperties` (DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema2OneOf0ContentProperties, required)
- `designProperties` (map from string to DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema2OneOf0DesignProperties, required)
- `slots` (map from string to list of delete__spaces__spaceId__environments__environmentId__component_types__id__published_10_200___schema2, required)
- `name` (string, optional)

### DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema21

- `id` (string, required)
- `nodeType` ("Fragment", required)
- `fragment` (DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema2OneOf1Fragment, required)
- `name` (string, optional)

### DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema22

- `id` (string, required)
- `nodeType` ("Slot", required)
- `slotId` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsSlotsItemsValidationsItems

- `size` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsSlotsItemsValidationsItemsSize, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsSlotsItemsAllowedResourcesItems

- `type` ("Contentful:ComponentType", required)
- `source` (string, required)
- `allowedTypes` (list of string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsMetadataTagsItems

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsMetadataTagsItemsSys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsMetadataConceptsItems

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsMetadataConceptsItemsSys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsDataAssembliesItemsSys

- `type` ("ResourceLink", required)
- `linkType` ("Contentful:DataAssembly", required)
- `urn` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaI18NContextParameters0

- `type` ("string", required)
- `value` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaI18NContextParameters1

- `type` ("number", required)
- `value` (double, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaI18NContextParameters2

- `type` ("date", required)
- `value` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaI18NContextParameters3

- `type` ("array.string", required)
- `value` (list of string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaI18NContextParameters4

- `type` ("array.number", required)
- `value` (list of double, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsSysSpaceSys

- `type` ("Link", required)
- `linkType` ("Space", required)
- `id` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsSysEnvironmentSys

- `type` ("Link", required)
- `linkType` ("Environment", required)
- `id` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsSysCreatedBySys

- `type` ("Link", required)
- `linkType` ("User", required)
- `id` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsSysUpdatedBySys

- `type` ("Link", required)
- `linkType` ("User", required)
- `id` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsSysPublishedBySys

- `type` ("Link", required)
- `linkType` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsSysPublishedBySysLinkType, required)
- `id` (string, required)

### get__spaces__spaceId__environments__environmentId__templates_11_200___schema1

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItemsOneOf4Ref

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItemsOneOf4RefSys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItemsOneOf0FallbackValue

- `type` ("ManualDesignValue", required)
- `value` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItemsOneOf0ValidationsItems

- `regexp` (SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItemsOneOf0ValidationsItemsRegexp, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItemsOneOf1FallbackValue

- `type` ("ManualDesignValue", required)
- `value` (boolean, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItemsOneOf2FallbackValue

- `type` ("DesignToken", required)
- `value` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItemsOneOf2AllowedResourcesItems

- `type` ("DesignToken", required)
- `value` (string, required)
- `name` (string, optional)

### DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema2OneOf0ComponentType

- `sys` (DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema2OneOf0ComponentTypeSys, required)

### DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema2OneOf0ContentProperties

### DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema2OneOf0DesignProperties

### DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema2OneOf1Fragment

- `sys` (DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema2OneOf1FragmentSys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsSlotsItemsValidationsItemsSize

- `min` (double, optional)
- `max` (double, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsMetadataTagsItemsSys

- `type` ("Link", required)
- `linkType` ("Tag", required)
- `id` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsMetadataConceptsItemsSys

- `type` ("Link", required)
- `linkType` ("TaxonomyConcept", required)
- `id` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsSysPublishedBySysLinkType

### GetSpacesSpaceIdEnvironmentsEnvironmentIdTemplates11200Schema10

- `type` (enum, required)
  - Allowed values: `String`, `Number`, `Integer`, `Boolean`
- `name` (string, optional)
- `required` (boolean, optional)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdTemplates11200Schema11

- `type` ("RichText", required)
- `name` (string, optional)
- `required` (boolean, optional)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdTemplates11200Schema12

- `type` ("Array", required)
- `items` (any, required)
- `name` (string, optional)
- `required` (boolean, optional)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdTemplates11200Schema13

- `type` ("Record", required)
- `fields` (map from string to get__spaces__spaceId__environments__environmentId__templates_11_200___schema1, required)
- `name` (string, optional)
- `required` (boolean, optional)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdTemplates11200Schema14

- `type` ("TypeRef", required)
- `ref` (GetSpacesSpaceIdEnvironmentsEnvironmentIdTemplates11200Schema1OneOf4Ref, required)
- `name` (string, optional)
- `required` (boolean, optional)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdTemplates11200Schema15

- `type` ("Literal", required)
- `value` (any, required)
- `valueType` (get__spaces__spaceId__environments__environmentId__templates_11_200___schema1, required)
- `name` (string, optional)
- `required` (boolean, optional)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdTemplates11200Schema16

- `type` ("DiscriminatedUnion", required)
- `discriminator` (string, required)
- `members` (list of get__spaces__spaceId__environments__environmentId__templates_11_200___schema1, required)
- `name` (string, optional)
- `required` (boolean, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItemsOneOf4RefSys

- `type` ("ResourceLink", required)
- `linkType` (string, required)
- `urn` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdTemplatesGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItemsOneOf0ValidationsItemsRegexp

- `pattern` (string, required)

### DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema2OneOf0ComponentTypeSys

- `type` ("ResourceLink", required)
- `linkType` ("Contentful:ComponentType", required)
- `urn` (string, required)

### DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema2OneOf1FragmentSys

- `type` ("ResourceLink", required)
- `linkType` ("Contentful:Fragment", required)
- `urn` (string, required)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdTemplates11200Schema1OneOf4Ref

- `sys` (GetSpacesSpaceIdEnvironmentsEnvironmentIdTemplates11200Schema1OneOf4RefSys, required)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdTemplates11200Schema1OneOf4RefSys

- `type` ("ResourceLink", required)
- `linkType` (string, required)
- `urn` (string, required)

## Examples

**Response**

```json
{
  "sys": {
    "type": "string"
  },
  "limit": 1.1,
  "items": [
    {
      "sys": {
        "id": "string",
        "type": "string",
        "space": {
          "sys": {
            "type": "string",
            "linkType": "string",
            "id": "string"
          }
        },
        "environment": {
          "sys": {
            "type": "string",
            "linkType": "string",
            "id": "string"
          }
        },
        "version": 1.1,
        "createdAt": "string",
        "createdBy": {
          "sys": {
            "type": "string",
            "linkType": "string",
            "id": "string"
          }
        },
        "updatedAt": "string",
        "updatedBy": {
          "sys": {
            "type": "string",
            "linkType": "string",
            "id": "string"
          }
        },
        "fieldStatus": {},
        "publishedAt": "string",
        "publishedVersion": 1.1,
        "publishedCounter": 1.1,
        "firstPublishedAt": "string",
        "publishedBy": {
          "sys": {
            "type": "string",
            "linkType": "User",
            "id": "string"
          }
        },
        "variant": "string",
        "variantType": "string",
        "variantDimension": "string"
      },
      "name": "string",
      "description": "string",
      "viewports": [
        {
          "id": "string",
          "query": "string",
          "displayName": "string",
          "previewSize": "string"
        }
      ],
      "contentProperties": [
        {
          "name": "string",
          "required": true,
          "type": "String",
          "id": "string"
        }
      ],
      "designProperties": [
        {
          "id": "string",
          "name": "string",
          "description": "string",
          "type": "string",
          "fallbackValue": {
            "type": "string",
            "value": "string"
          },
          "validations": [
            {
              "regexp": {
                "pattern": "string"
              }
            }
          ]
        }
      ],
      "dimensionKeyMap": {
        "designProperties": {}
      },
      "componentTree": [
        {
          "id": "string",
          "nodeType": "string",
          "componentType": {
            "sys": {
              "type": "string",
              "linkType": "string",
              "urn": "string"
            }
          },
          "contentProperties": {},
          "designProperties": {},
          "slots": {},
          "name": "string"
        }
      ],
      "slots": [
        {
          "id": "string",
          "name": "string",
          "required": true,
          "validations": [
            {
              "size": {
                "min": 1.1,
                "max": 1.1
              }
            }
          ],
          "allowedResources": [
            {
              "type": "string",
              "source": "string",
              "allowedTypes": [
                "string"
              ]
            }
          ]
        }
      ],
      "metadata": {
        "tags": [
          {
            "sys": {
              "type": "string",
              "linkType": "string",
              "id": "string"
            }
          }
        ],
        "concepts": [
          {
            "sys": {
              "type": "string",
              "linkType": "string",
              "id": "string"
            }
          }
        ]
      },
      "dataAssemblies": [
        {
          "sys": {
            "type": "string",
            "linkType": "string",
            "urn": "string"
          }
        }
      ]
    }
  ],
  "pages": {
    "next": "string",
    "prev": "string"
  },
  "total": 1.1
}
```